<?php
global $resto_panels;
global $resto_sections;
global $resto_settings_controls;
global $resto_repeated_settings_controls;
global $resto_customizer_defaults;

/*defaults values*/
$resto_customizer_defaults['resto-featured-slider-category'] = 1;

/*category selection*/
$resto_sections['resto-featured-slider-category'] =
    array(
        'priority'       => 50,
        'title'          => __( 'Select From Category', 'resto' ),
        'description'    => __( 'This option will work only when you have selected "Category" in "settings Option".', 'resto' ),
        'panel'          => 'resto-feature-slider',
    );



/*creating setting control for resto-fs-Category start*/
$resto_settings_controls['resto-featured-slider-category'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-featured-slider-category']
        ),
        'control' => array(
            'label'                 =>  __( 'Select Category For Slider', 'resto' ),
            'description'           =>  __( 'If you have oly choosen category then page you need to select one from here', 'resto' ),
            'section'               => 'resto-featured-slider-category',
            'type'                  => 'category_dropdown',
            'priority'              => 50,
            'active_callback'       => ''
        )
    );
