<?php
global $resto_panels;
global $resto_sections;
global $resto_settings_controls;
global $resto_repeated_settings_controls;
global $resto_customizer_defaults;

/*defaults values*/
$resto_customizer_defaults['resto-home-service-category'] = 1;

/*category selection*/
$resto_sections['resto-home-service-category'] =
    array(
        'priority'       => 60,
        'title'          => __( 'Select Service From Category', 'resto' ),
        'description'    => __( 'This option only work when you have selected "Category" in "Service selection Options".', 'resto' ),
        'panel'          => 'resto-home-service',
    );

/*creating setting control for resto-home-service-Category start*/
$resto_settings_controls['resto-home-service-category'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-home-service-category']
        ),
        'control' => array(
            'label'                 =>  __( 'Select Category For Service', 'resto' ),
            'section'               => 'resto-home-service-category',
            'type'                  => 'category_dropdown',
            'priority'              => 30,
            'active_callback'       => ''
        )
    );