<?php
if( ! function_exists( 'resto_excerpt_length' ) ) :

    /**
     * Excerpt length
     *
     * @since  resto 1.0.0
     *
     * @param null
     * @return int
     */
    function resto_excerpt_length( $length ){
        global $resto_customizer_all_values;
        $excerpt_length = $resto_customizer_all_values['resto-excerpt-length'];
        if ( empty( $excerpt_length) ) {
            $excerpt_length = $length;
        }
        return esc_attr( $excerpt_length );

    }

endif;
add_filter( 'excerpt_length', 'resto_excerpt_length', 999 );